Subject: bug#8606: Works in 8.5 but broken from 8.10 onwards

From: Debarshi Ray <[email-masked]>
Date: Tue, 3 May 2011 01:51:06 +0000

I have got the latest Git master in /tmp and 8.5 from Fedora 14 installed
system-wide.

[rishi@freebook coreutils]$ /tmp/bin/du -hs .git .
32M		.git
9.5M		.
[rishi@freebook coreutils]$ /tmp/bin/du -hs . .git
41M		.
[rishi@freebook coreutils]$ /tmp/bin/du -hs .
41M		.
[rishi@freebook coreutils]$ /tmp/bin/du -hs .git
32M		.git
[rishi@freebook coreutils]$ du -hs .git .
32M		.git
41M		.
[rishi@freebook coreutils]$ du -hs . .git
41M		.
32M		.git
[rishi@freebook coreutils]$ du -hs .git
32M		.git
[rishi@freebook coreutils]$ du -hs .
41M		.
[rishi@freebook coreutils]$ 

I get similar results using 8.10 on Fedora 15.

If this is indeed a bug, then I can try to cook a patch.

Happy hacking,
Debarshi